'use strict';

var chunkLKG3VLCP_js = require('./chunk-LKG3VLCP.js');
var chunkI7LLFSFU_js = require('./chunk-I7LLFSFU.js');
var chunkH736K5TN_js = require('./chunk-H736K5TN.js');
var nestjsRabbitmq = require('@golevelup/nestjs-rabbitmq');
var common = require('@nestjs/common');

function RmqRPC(props) {
  const { channel } = props?.queueOptions || {};
  const channelConfig = chunkI7LLFSFU_js.getRmqConfig(`channels.${channel}`);
  const prefetchCount = props?.prefetchCount || channelConfig?.prefetchCount || void 0;
  const decorators = [];
  const message = `RmqRPC ${channel}=${prefetchCount} ${props.routingKey || ""}`;
  if (prefetchCount) {
    chunkLKG3VLCP_js.log.debug(message);
    decorators.push(nestjsRabbitmq.RabbitRPC(props));
  } else {
    chunkLKG3VLCP_js.log.trace(message);
  }
  return common.applyDecorators(...decorators);
}
chunkH736K5TN_js.__name(RmqRPC, "RmqRPC");

exports.RmqRPC = RmqRPC;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-O4TXNT3Q.js.map