import { RabbitHandlerConfig } from '@golevelup/nestjs-rabbitmq';
import { NestInterceptor, ExecutionContext, CallHandler } from '@nestjs/common';
import * as amqplib from 'amqplib';
import { Observable } from 'rxjs';

declare const RmqRPCConfig: {};
type RmqRPCConfigProps = Pick<RabbitHandlerConfig, 'queue' | 'name' | 'connection' | 'exchange' | 'routingKey' | 'createQueueIfNotExists' | 'assertQueueErrorHandler' | 'queueOptions' | 'errorBehavior' | 'errorHandler' | 'allowNonJsonMessages'>;
declare function RmqRPC(props: RmqRPCConfigProps & {
    prefetchCount?: number;
}): <TFunction extends Function, Y>(target: object | TFunction, propertyKey?: string | symbol | undefined, descriptor?: TypedPropertyDescriptor<Y> | undefined) => void;
declare function RmqErrorCallback(channel: amqplib.Channel, msg: amqplib.ConsumeMessage, err: any): void;
declare class RmqInterceptor implements NestInterceptor {
    private log;
    intercept(context: ExecutionContext, next: CallHandler): Promise<Observable<any>>;
}

export { RmqErrorCallback, RmqInterceptor, RmqRPC, RmqRPCConfig };
