import * as amqplib from 'amqplib';
import * as _lsk4_log_types from '@lsk4/log/types';
import { AmqpConnection } from '@golevelup/nestjs-rabbitmq';

declare class RmqService {
    private readonly amqpConnection;
    log: _lsk4_log_types.ILogger;
    constructor(amqpConnection: AmqpConnection);
    publish(exchange: string, routingKey: string, data: any): Promise<amqplib.Replies.Empty>;
    request(raw: {
        exchange: string;
        routingKey: string;
        timeout: number;
        payload: any;
    }): Promise<unknown>;
}

export { RmqService };
